# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define _name dataclasses-json

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{_name}
Version:        0.6.4
Release:        %{mybuildnumber}%{?dist}
Summary:        Dataclasses JSON serialization

License:        LGPLv2.1
URL:            https://github.com/Rudd-O/%{_name}
Source:         dataclasses_json-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel, python-types-cryptography, openssl

%global _description %{expand:
This package is a library to serialize and deserialize dataclasses from/to JSON.}

%description %_description

%package -n python3-%{_name}
Summary:        %{summary}

%description -n python3-%{_name} %_description

%prep
%autosetup -p1 -n dataclasses_json-%{version}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files dataclasses_json


%check
true
# %tox


# Note that there is no %%files section for
# the unversioned python module, python-pello.

# For python3-pello, %%{pyproject_files} handles code files and %%license,
# but executables and documentation must be listed in the spec file:

%files -n python3-%{_name} -f %{pyproject_files}
%doc README.md


%changelog
* Tue Feb 20 2024 Manuel Amador <rudd-o@rudd-o.com> 0.6.4-1
- First RPM packaging release
